Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4625 - wmconfig/fvwm2 problem
Summary: wmconfig/fvwm2 problem
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wmconfig
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-20 11:23 UTC by Ian Cameron
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-27 22:40:41 UTC


Attachments (Terms of Use)

Description Ian Cameron 1999-08-20 11:23:24 UTC
There seems to be a problem with wmconfig when creating
fvwm2 configs when it scans the /usr/share/gnome/apps
directory.

For each subdirectory, wmconfig produces a menu item within
a menu item of the same name with a null Exec command.

wmconfig --output=fvwm2 --rootmenu=RootMenu --no-promote

produces the following:

AddToMenu       RootMenu        "Graphics"      Popup
RootMenu.Graphics

...

#
# Starting configuration for menu "Graphics"
#
# Icon specification for Apps under "Graphics"
Style   "The GIMP"      MiniIcon        mini-wilbur.xpm
Style   "The GIMP"      Icon    wilbur.xpm
# The menus...
AddToMenu       RootMenu.Graphics       "Graphics"
Title
AddToMenu       RootMenu.Graphics       "Viewers"
Popup   RootMenu.Graphic
s.Viewers
# The following is added by package: Electric Eyes
AddToMenu       RootMenu.Graphics       "Electric Eyes"
Exec    ee &
# The following is added by package: GQview
AddToMenu       RootMenu.Graphics       "GQview"
Exec    gqview &
# The following is added by package: Graphics
AddToMenu       RootMenu.Graphics       "Graphics"
Exec    &
# The following is added by package: gimp
AddToMenu       RootMenu.Graphics       "The GIMP
%mini-wilbur.xpm%"    Exec
gimp &
# The following is added by package: xpaint
AddToMenu       RootMenu.Graphics       "xpaint"
Exec    xpaint &

The AddToMenu after the config for GQview illustrates this.
It does not make any difference if you allow promotion.
This problem also seems to show for FVWM95 (what's the
difference anyway?).

I've also noticed that the Settings directory for the Gnome
menus seems to be ignored, but I presume it is meant to be
ignored, as these are Gnome specific (apart from the Imlib
configuration tool perhaps, in which case perhaps the menu
item for this would be better placed elsewhere?).

I've marked this as being i386, but it probably happens on
all platforms.

Comment 1 Cristian Gafton 1999-08-27 22:40:59 UTC
Fixed in wmconfig-0.9.7


Note You need to log in before you can comment on or make changes to this bug.